petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCCreate

Creates a preconditioner context.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCreate(MPI_Comm comm,PC *newpc)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

pc -location to put the preconditioner context Many br

### Notes

The default preconditioner for sparse matrices is PCILU or PCICC with 0 fill on one process and block Jacobi with PCILU or ICC Many brin parallel. For dense matrices it is always PCNONE. Many br

Many br

### Keywords

PC, create, context

### See Also

PCSetUp(), PCApply(), PCDestroy()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex74f.F90.html